summaryrefslogtreecommitdiffstats
path: root/.scripts/cron/newsup
diff options
context:
space:
mode:
Diffstat (limited to '.scripts/cron/newsup')
-rwxr-xr-x.scripts/cron/newsup14
1 files changed, 14 insertions, 0 deletions
diff --git a/.scripts/cron/newsup b/.scripts/cron/newsup
new file mode 100755
index 0000000..ad7adc6
--- /dev/null
+++ b/.scripts/cron/newsup
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Set as a cron job to check for new RSS entries for newsboat.
+# Note that newsbot cannot be opened during the sync and this
+# sync cannot run while another instance of newsboat is open.
+
+ping -q -t 1 -c 1 `ip r | grep -m 1 default | cut -d ' ' -f 3` >/dev/null || exit
+echo "📰 🔃" > ~/.newsup
+pkill -RTMIN+6 i3blocks
+printf "Loading new RSS entries for newsboat...\\n"
+/usr/bin/newsboat -x reload &&
+ printf "Done.\\n"
+echo "" > ~/.newsup
+pkill -RTMIN+6 i3blocks